﻿@model LoyaltyPointEngine.Model.Parameter.Member.EditMemberCMSModel
@{
    string imageHost = Settings.GetValueByKey(LoyaltyPointEngine.Common.SiteSetting.ASSET_URL);
    string urlCheckavailabilityMember = Url.Action(MVC.Member.CheckavailabilityMember());
    int a = 0;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Edit Member</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
@using (Html.BeginForm(MVC.Member.Edit(), FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal row-border", @id = "formEditMember" }))
{
    <div class="row">
        <!--=== Validation Example 1 ===-->
        <div class="col-md-12">
            <div class="widget box">
                <div class="widget-header">
                    <h4><i class="icon-reorder"></i>Edit Member</h4>
                </div>
                <div class="widget-content">
                    @Html.AntiForgeryToken()
                    @if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured:
                            <br />
                            @Html.ValidationSummary()
                        </div>
                    }
                    @if (!string.IsNullOrEmpty(ViewBag.StatusDeleteChild))
                    {
                        if (ViewBag.Code == "00")
                        {
                            <div class="alert alert-success">
                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                <i class="fa fa-times-circle"></i>
                                @ViewBag.StatusDeleteChild
                            </div>
                        }
                        else
                        {
                            <div class="alert alert-danger">
                                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                                <i class="fa fa-times-circle"></i>
                                @ViewBag.StatusDeleteChild
                            </div>
                        }

                    }
                    @Html.HiddenFor(x => x.ID)
                    <div class="form-group">
                        <label class="col-md-3 control-label">Gender </label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.Gender,
                                new List<SelectListItem> {
                                                    new SelectListItem { Value = "F" , Text = "Female" },
                                                    new SelectListItem { Value = "M" , Text = "Male" }
                                }, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">FirstName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.FirstName, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">LastName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.LastName, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Email </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Email, new { @class = "form-control member-email-check" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Phone <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Phone, new { @class = "form-control member-phone-check", @required = "required" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Facebook ID</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.FacebookID, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Stages </label>
                        <div class="col-md-9">
                            <select id="Stage" name="StagesID" class="select2-select-00 col-md-12 full-width-fix">
                                @foreach (LoyaltyPointEngine.DataMember.Stages item in ViewBag.ListStages)
                                {
                                    <option value="@item.ID" data-attr="@item.Name" @(Model.StagesID == item.ID ? "Selected" : null) data-ispregnant="@item.IsPregnant">@item.AttributeName</option>
                                }
                            </select>
                            @*@Html.DropDownListFor(x => x.StagesID, ViewBag.ListStages as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })*@
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Channel </label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.Channel, ViewBag.ChannelList as List<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                        </div>
                    </div>
                    <div class="form-group" id="ColProductBefore">
                        <label class="col-md-3 control-label">Product Before </label>
                        <div class="col-md-9">
                            <select id="ProductBeforeID" name="ProductBeforeID" class="select2-select-00 col-md-12 full-width-fix">
                                <option></option>
                                @foreach (LoyaltyPointEngine.DataMember.ProductBefore item in ViewBag.ListProductBefore)
                                {
                                    <option value="@item.ID" @(Model.ProductBeforeID == item.ID ? "Selected" : null)>@item.Name</option>
                                }
                            </select>
                            @*@Html.DropDownListFor(x => x.ProductBeforeID, ViewBag.ListProductBefore as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })*@
                        </div>
                    </div>
                    @*<div class="form-group">
            <label class="col-md-3 control-label">Child Birthdate <span class="required">*</span></label>
            <div class="col-md-9">
                @Html.TextBoxFor(x => x.ChildBirthdate, new { @class = "form-control datepicker", @required = "required" })
            </div>
        </div>
        <div class="form-group">
            <label class="col-md-3 control-label">Product Before </label>
            <div class="col-md-9">
                @Html.DropDownListFor(x => x.ProductBeforeID, ViewBag.ListProductBefore as IEnumerable<SelectListItem>, new { @class = "select2-select-00 col-md-12 full-width-fix" })
            </div>
        </div>
        <div class="form-group">
            <label class="col-md-3 control-label">Child Name </label>
            <div class="col-md-9">
                @Html.TextBoxFor(x => x.ChildName, new { @class = "form-control" })
            </div>
        </div>*@
                    <div class="form-group" id="ColAgePregnant">
                        <label class="col-md-3 control-label">AgePregnant </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.AgePregnant, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Address </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.Address, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Province </label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ProvinceID, ViewBag.ListProvince as IEnumerable<SelectListItem>,
                                "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-province" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">District </label>
                        <div class="col-md-9 div-widget-district">
                            @Html.DropDownListFor(x => x.DistrictID, ViewBag.ListDistrict as IEnumerable<SelectListItem>,
                                "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-district" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Sub District </label>
                        <div class="col-md-9 div-widget-sub-district">
                            @Html.DropDownListFor(x => x.SubDistrictID, ViewBag.ListSubDistrict as IEnumerable<SelectListItem>,
                                "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-sub-district" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">ZipCode </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ZipCode, new { @class = "form-control", @maxlength = "5", @oninput = "maxLengthCheck(this)" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">SPG </label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.SpgID, ViewBag.ListSPG as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Kode Event </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.EventCode, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Remarks/Catatan Tambahan </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.Remarks, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Birthdate</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Birthdate, new { @class = "form-control datepicker" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">PlaceOfBirth </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.PlaceOfBirth, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">ProfilePicture </label>
                        <div class="col-md-9">
                            @if (!string.IsNullOrEmpty(Model.ProfilePicture))
                            {
                                @*<a href="#" onclick="readURL('@(imageHost + Model.ProfilePicture)')" data-toggle="modal" data-target="#imageViewer">
                        <div class="item">
                            <img src="@(imageHost + Model.ProfilePicture)" alt="profile" style="width:250px">
                        </div>
                    </a>*@
                                <a href="#" onclick="readURL('@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.ProfilePicture)')" data-toggle="modal" data-target="#imageViewer">
                                    <div class="item">
                                        <img src="@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.ProfilePicture)" alt="Profile" style="width:250px">
                                    </div>
                                </a>
                            }
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&nbsp;</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ProfilePicture, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">KTPImage</label>
                        <div class="col-md-9">
                            @if (!string.IsNullOrEmpty(Model.KTPImage))
                            {
                                <a href="#" onclick="readURL('@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.KTPImage)')" data-toggle="modal" data-target="#imageViewer">
                                    <div class="item">
                                        <img src="@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.KTPImage)" alt="KTP" style="width:250px">
                                    </div>
                                </a>
                            }
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&nbsp;</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.KTPImage, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">KTPNumber</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.KTPNumber, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">KKImage</label>
                        <div class="col-md-9">
                            @if (!string.IsNullOrEmpty(Model.KKImage))
                            {
                                <a href="#" onclick="readURL('@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.KKImage)')" data-toggle="modal" data-target="#imageViewer">
                                    <div class="item">
                                        <img src="@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.KKImage)" alt="" style="width:250px">
                                    </div>
                                </a>
                            }
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&nbsp;</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.KKImage, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">KKNumber</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.KKNumber, new { @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">AkteImage </label>
                        <div class="col-md-9">
                            @if (!string.IsNullOrEmpty(Model.AkteImage))
                            {
                                <a href="#" onclick="readURL('@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.AkteImage)')" data-toggle="modal" data-target="#imageViewer">
                                    <div class="item">
                                        <img src="@(Url.Action(MVC.Member.GetImage()) + "?url=" + Model.AkteImage)" alt="Profile" style="width:250px">
                                    </div>
                                </a>
                            }
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&nbsp;</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.AkteImage, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">E-Signature</label>
                        <div class="col-md-9">
                            @if (!string.IsNullOrEmpty(Model.ESignature))
                            {
                                <a href="#" onclick="readURL('@(imageHost + Model.ESignature)')" data-toggle="modal" data-target="#imageViewer">
                                    <div class="item">
                                        <img src="@(imageHost + Model.ESignature)" alt="" style="width:250px">
                                    </div>
                                </a>
                            }
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&nbsp;</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ESignature, new { @class = "form-control", @type = "file" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Consent</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.Consent, new { @class = "form-control uniform" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Is Active</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsActive, new { @class = "form-control uniform" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Is Approved</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsApproved, new { @class = "form-control uniform" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Is BlackList</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsBlackList, new { @class = "form-control uniform" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Subscribe Newsletter</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsNewsLetter, new { @class = "form-control uniform" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Password</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Password, new { @class = "form-control", @type = "password" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Confirm Password</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ConfirmPassword, new { @class = "form-control", @type = "password" })
                        </div>
                    </div>
                    @*<div class="form-actions">
            <input type="submit" value="Submit" class="btn btn-primary pull-right">
        </div>*@
                </div>
            </div>
            <!-- /Validation Example 1 -->
        </div>
    </div>
    <input type="hidden" id="CountChild" value="@(Model.Childs != null ? Model.Childs.Count : 1)" />
    if (Model.Childs != null)
    {
        <div id="child-box">
            @foreach (var child in Model.Childs)
            {
                <div class="row child-obj-1">
                    <div class="col-md-12">
                        <div class="widget box">
                            <div class="widget-header">
                                <h4><i class="icon-reorder"></i>Data Child</h4>
                            </div>
                            <div class="widget-content">
                                <input type="hidden" id="Childs-@a-ID" name="Childs[@a].ID" value="@child.ID" />
                                <div class="form-group">
                                    <label class="col-md-3 control-label">ChildName </label>
                                    <div class="col-md-9">
                                        <input type="text" class="form-control" id="Childs-@a-Name" name="Childs[@a].Name" value="@child.Name" />
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-3 control-label">ChildBirthdate <span class="required">*</span></label>
                                    <div class="col-md-9">
                                        @*<input type="text" class="form-control datepicker" id="Childs-" name="Childs[@a].Birthdate" value="@child.Birthdate" required="required" />*@
                                        @Html.TextBoxFor(x => x.Childs[a].Birthdate, new { @class = "form-control datepicker", @required = "required", @id = "Childs-" + a + "-Birthdate" })
                                    </div>
                                </div>
                                <input type="hidden" id="productID" value="@Model.ProductBeforeID" />
                                <input type="hidden" id="Childs-@a-ParentID" name="Childs[@a].ParentID" value="@Model.ID" />
                                <div class="form-group">
                                    <label class="col-md-3 control-label">Product Before </label>
                                    <div class="col-md-9">
                                        <select id="Childs-@a-ProductBeforeID" name="Childs[@a].ProductBeforeID" class="form-control">
                                            <option value="0"></option>
                                            @foreach (LoyaltyPointEngine.DataMember.ProductBefore item in ViewBag.ListProductBeforeChild)
                                            {
                                                string selected = "";
                                                if (item.ID == child.ProductBeforeId)
                                                {
                                                    selected = "selected";
                                                }
                                                if (!item.IsPregnancyProduct)
                                                {
                                                    <option value="@item.ID" @selected>@item.Name</option>
                                                }
                                            }
                                        </select>
                                        @*@Html.DropDownListFor(x => x.ProductBeforeID, ViewBag.ListProductBefore as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })*@
                                    </div>
                                </div>
                                <div class="form-group" id="Childs-@a-ChildButtonBar">
                                    <label class="col-md-3 control-label"></label>
                                    <div class="col-md-9">
                                        @*<a href="@Url.Action(MVC.Member.DeleteChild(child.ID, Model.ID))" class="btn btn-danger">Delete</a>*@
                                        <a onclick="Test(@child.ID)" class="btn btn-danger">Delete</a>
                                        <a href="@Url.Action(MVC.Member.VerifyChildCollect(child.ID, Model.ID))" class="btn btn-success">Verify</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                a++;
            }
        </div>
    }
    else
    {
        <div id="child-box">
            <div class="row child-obj-1">
                <div class="col-md-12">
                    <div class="widget box">
                        <div class="widget-header">
                            <h4><i class="icon-reorder"></i>Data Child</h4>
                        </div>
                        <div class="widget-content">
                            <div class="form-group">
                                <label class="col-md-3 control-label">ChildName </label>
                                <div class="col-md-9">
                                    <input type="text" id="Childs-@a-Name" class="form-control" name="Childs[@a].Name" value="" />
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label">ChildBirthdate <span class="required">*</span></label>
                                <div class="col-md-9">
                                    <input type="text" id="Childs-@a-Birthdate" class="form-control datepicker" name="Childs[@a].Birthdate" value="" />
                                </div>
                            </div>
                            <input type="hidden" id="productID" value="@Model.ProductBeforeID" />
                            <input type="hidden" id="Childs-@a-ParentID" name="Childs[@a].ParentID" value="@Model.ID" />
                            <div class="form-group">
                                <label class="col-md-3 control-label">Product Before </label>
                                <div class="col-md-9">
                                    <select id="Childs-@a-ProductBeforeID" name="Childs[@a].ProductBeforeID" class="form-control">
                                        <option value="0"></option>
                                        @foreach (LoyaltyPointEngine.DataMember.ProductBefore item in ViewBag.ListProductBeforeChild)
                                        {
                                            if (!item.IsPregnancyProduct)
                                            {
                                                <option value="@item.ID">@item.Name</option>
                                            }
                                        }
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }
    <div class="row">
        <div class="col-md-12 ta-center">
            <div class="col-md-2">
                <a href="javascript:void(0)" onclick="addChild()" class="btn button big red"><span class="glyphicon additional plus margin-right-10"></span>Tambah Data Anak</a>
            </div>
            <div class="col-md-3">
                <input type="submit" value="Submit" class="btn btn-primary pull-right">
            </div>
        </div>
    </div>
    <div class="row">
        <br />
    </div>
}

<div class="modal fade" id="imageViewer" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="exampleModalLabel">View Image</h4>
            </div>
            <div class="modal-body">
                <div>
                    <img id="blah" src="#" alt="your image" />
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

@section FooterScript{
    <script src="@Links.Assets.assets.js.MemberArea.Province_js?v2"></script>
    <script>
        function readURL(url) {
            $('#blah').attr('src', url);
        }

        var ProvinceController = new ProvinceController();

        $(document).ready(function () {
            ProvinceController.url_api_populate_district = '@Url.Action(MVC.MemberSubDistrict.GeneratedDistrict())';
            ProvinceController.url_api_populate_subdistrict = '@Url.Action(MVC.MemberSubDistrict.GeneratedSubDistrict())';
            ProvinceController.Initialize();
            CheckStages();

            var urlProductBefore = '';
            if ($('#Stage').attr('data-ispregnant')) {

            }

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formEditMember").validate();
            $('.member-email-check').change(function () {
                var value = $(this).val()
                $('#member-email-check-error').remove();
                ShowLoader();
                $.ajax({
                    url: "@urlCheckavailabilityMember",
                    type: "POST",
                    contentType: "application/json",
                    data: '{"ID":"' + '@Model.ID' + '","KeyType":"' + 'Email' + '","Value":"' + value + '"}',
                    async: true,
                    success: function (res) {

                        console.log(res);
                        if (res != null) {

                            HideLoader();
                            if (!res.IsAvailable) {
                                console.log('border-color');
                                $('.member-email-check').css('border-color', 'red');
                                $('<span id="member-email-check-error" style="color:red">' + res.Message + '</span>').insertAfter('.member-email-check');
                            } else {

                                $('.member-email-check').css('border-color', '#ccc');
                            }

                        }

                    },
                    error: function (ex, msg, detail) {
                        console.log(ex);
                        alert("error : " + detail);
                        HideLoader();
                    }
                });
            });

            //if ($('#Stage').val() == 7 || $('#Stage').val() == 9) {
            //    $('#ColAgePregnant').show();
            //    $('#ColProductBefore').show();
            //}
            //else if ($('#Stage').val() == 8) {
            //    $('#ColAgePregnant').hide();
            //    $('#ColProductBefore').hide();
            //    $('#child-box').hide();
            //}
            //else {
            //    $('#ColAgePregnant').hide();
            //    $('#ColProductBefore').hide();
            //}

            $('#Stage').change(function () {
                CheckStages();
            });

            function CheckStages() {
                var check = $('#Stage').val();
                var ID = $('#productID').val();
                if (check == 7) { //Sedang Hamil
                    //loadProductBefore('@Url.Action(MVC.Member.GetListProductBefore(true, null))', ID);
                    $('#ColProductBefore').show();
                    $('#ColAgePregnant').show();
                    $('#ProductBefore').attr("required", "required");
                    $('#AgePregnant').attr("required", "required");
                    $('#child-box').hide();
                }
                else if (check == 9) { //Sedang hamil & memiliki anak
                    //loadProductBefore('@Url.Action(MVC.Member.GetListProductBefore(null, null))', ID);
                    $('#ColProductBefore').show();
                    $('#ColAgePregnant').show();
                    $('#ProductBefore').attr("required", "required");
                    $('#AgePregnant').attr("required", "required");
                    $('#child-box').show();
                }
                else if (check == 10) { //Tidak hamil & memiliki anak
                    //loadProductBefore('@Url.Action(MVC.Member.GetListProductBefore(false, null))', ID);
                    $('#ColProductBefore').show();
                    $('#ColAgePregnant').hide();
                    $('#AgePregnant').removeAttr("required");
                    $('#ProductBefore').attr("required", "required");
                    $('#child-box').show();
                }
                else { //Belum Hamil
                    $('#AgePregnant').removeAttr("required");
                    $('#ProductBefore').removeAttr("required");
                    $('#ColProductBefore').hide();
                    $('#ColAgePregnant').hide();
                    $('#child-box').hide();
                }
            }

            function loadProductBeforeChild(num) {
                $.ajax({
                    type: 'get',
                    url: '@Url.Action(MVC.Member.GetListProductBefore(false, null))',
                    cache: false,
                    contentType: false,
                    processData: false,
                    data: {},
                    success: function (data) {
                        $('#Childs-' + num + '-ProductBeforeID option').remove();
                        //$('#ProductBefore').append('<option value=""></option>');
                        $.each(data, function (i, v) {
                            var select = "";
                            if (ID == v.ID) {
                                select = "selected";
                            }
                            $('#Childs-' + num + '-ProductBeforeID').append('<option value="' + v.ID + '"' + select + '>' + v.Name + '</option>');
                        });
                    },
                    error: function (request, status, error) {
                        alert(request.responseText);
                    }
                });
            }

            $('.member-phone-check').change(function () {
                var value = $(this).val()
                $('#member-phone-check-error').remove();
                ShowLoader();
                $.ajax({
                    url: "@urlCheckavailabilityMember",
                    type: "POST",
                    contentType: "application/json",
                    data: '{"ID":"' + '@Model.ID' + '","KeyType":"' + 'Phone' + '","Value":"' + value + '"}',
                    async: true,
                    success: function (res) {

                        console.log(res);
                        if (res != null) {

                            HideLoader();
                            if (!res.IsAvailable) {
                                console.log('border-color');
                                $('.member-phone-check').css('border-color', 'red');
                                $('<span id="member-phone-check-error" style="color:red">' + res.Message + '</span>').insertAfter('.member-phone-check');
                            } else {

                                $('.member-phone-check').css('border-color', '#ccc');
                            }

                        }

                    },
                    error: function (ex, msg, detail) {
                        console.log(ex);
                        alert("error : " + detail);
                        HideLoader();
                    }
                });
            });
        });

        function Test(x) {
            var r = confirm("Are you sure you want delete this child ?");
            switch(r)
            {
                case true:
                    window.location.href = "@Url.Action("DeleteChild")?ID="+x+"&MemberID="+@Model.ID;
                    console.log(x);
                    break;
                default:
                    break;
            }
        }

    </script>
}